# vim: set ft=spec: -*- rpm-spec -*-
%define _sbindir /sbin
Name: device-mapper
Version: 1.02.19
Release: alt1

Summary: Userspace supporting utilites for device-mapper
License: GPL
Group: System/Kernel and hardware
Url: http://sources.redhat.com/dm/
Packager: Pavlov Konstantin <thresh@altlinux.ru>

Source0: %name-%version.tar.bz2
Source1: dmcontrol_update
Source2: %name-%version-alt-sym

Patch3: device-mapper.1.02.02-alt-verbose.patch
Patch4: device-mapper.1.02.02-alt-LIB_VERSION.patch

%package -n libdevmapper
Summary: Library of routines for device-mapper management
Group: System/Libraries

%package -n libdevmapper-devel
Summary: Header file for libdevmapper
Group: System/Libraries
Requires: libdevmapper = %version-%release

%package -n libdevmapper-devel-static
Summary: Static version of libdevmapper
Group: System/Libraries
Requires: libdevmapper-devel = %version-%release

%package -n dmsetup
Summary: Utilities for low level logical volume management
Summary(ru_RU.KOI8-R):    device-mapper
Group: System/Kernel and hardware 
Requires: libdevmapper = %version-%release

%description
This package contains the library and set of utilites for creating and
managing of device-mapper logical volumes.

%description -l ru_RU.KOI8-R
   device-mapper.

%description -n libdevmapper
Library of routines for device-mapper management.

%description -n libdevmapper -l ru_RU.KOI8-R
    device-mapper.

%description -n libdevmapper-devel
Header files for libdevmapper.

%description -n libdevmapper-devel -l ru_RU.KOI8-R
   libdevmapper.

%description -n libdevmapper-devel-static
Static version of libdevmapper.

%description -n libdevmapper-devel-static -l ru_RU.KOI8-R
    .

%description -n dmsetup
Utilities for low level logical volume management.

%description -n dmsetup -l ru_RU.KOI8-R
   device-mapper.

%prep
%setup -q -n %name-%version

%patch3 -p1
%patch4 -p1
install -m644 %_sourcedir/%name-%version-alt-sym lib/.export.sym

%build
autoconf
%configure \
	--disable-selinux \
	--enable-jobs=%__nprocs \
	--with-group= \
	--with-user= \
	#
%__make

%post -n libdevmapper -p %post_ldconfig
%postun -n libdevmapper -p %postun_ldconfig

%install
mkdir -p %buildroot{%_bindir,%_sbindir,/%_lib,%_libdir,%_includedir,%_man8dir,%_pkgconfigdir}
%makeinstall

chmod -R u+rwX %buildroot
install -pm644 lib/ioctl/libdevmapper.a %buildroot%_libdir/
install -pm755 %_sourcedir/dmcontrol_update %buildroot%_sbindir/
install -pm644 lib/libdevmapper.pc %buildroot%_pkgconfigdir/

# Relocate shared library from %_libdir/ to /%_lib/.
for f in %buildroot%_libdir/*.so; do
	t=`objdump -p "$f" |awk '/SONAME/ {print $2}'`
	[ -n "$t" ]
	ln -sf ../../%_lib/"$t" "$f"
done
mv %buildroot%_libdir/*.so.* %buildroot/%_lib/

# Fix pkgconfig file.
%__subst '/^Version:/ s/"\([^[:space:]]\+\)[^"]*"/\1/' %buildroot%_pkgconfigdir/*

%files -n libdevmapper
/%_lib/*.so.*

%files -n libdevmapper-devel
%_libdir/*.so
%_includedir/*
%_pkgconfigdir/*

%files -n libdevmapper-devel-static
%_libdir/*.a

%files -n dmsetup
%doc INTRO README WHATS_NEW
%_man8dir/*
%_sbindir/*

%changelog
* Wed May 02 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.02.19-alt1
- 1.02.19 release.
- Updated version script.

* Wed Feb 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.02.18-alt1
- 1.02.18 release.

* Thu Jan 25 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.02.15-alt2
- Move local section to latest interface in version script as suggested by ldv.

* Sun Jan 21 2007 Pavlov Konstantin <thresh@altlinux.ru> 1.02.15-alt1
- 1.02.15.
- Updated version script.

* Fri Dec 15 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.02.13-alt1
- 1.02.13.

* Thu Oct 19 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.02.12-alt1
- 1.02.12.
- Updated version script.
- Dropped patches:
  + device-mapper-1.02.02-rh-alt-pkgconfig.patch
  + device-mapper-1.02.02-rh-libpaths.patch

* Thu Apr 20 2006 Pavel S. Mironchik <tibor@altlinux.ru> 1.02.02-alt3
- /usr/sbin/{tools} were moved into /sbin/

* Tue Feb 07 2006 Dmitry V. Levin <ldv@altlinux.org> 1.02.02-alt2
- Merged patches from FC project.
- Rewritten dmcontrol_update using my code from rc.sysinit.
- Rewritten verbose patch to really shutup dm.
- Rewritten versioning fix: introduced real versioning.
- Relocated development library back to %_libdir/.
- Cleaned up specfile according to ALT packaging policy.

* Mon Jan 16 2006 Pavlov Konstantin <thresh@altlinux.ru> 1.02.02-alt1
- NMU.
- defined _libdir as %%_lib instead of /lib (fixes build on x86_64).
- new version.

* Mon Apr 25 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt4
- fixed #6625(BUGZILLA)

* Thu Apr 21 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt3
- last patch fix (export version)

* Thu Apr 21 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt2
- back to 1.00.19 soname

* Thu Apr 14 2005 Pavel Mironchik <tibor@altlinux.ru> 1.01.01-alt1
- release update

* Mon Dec 27 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt5
- added verbose patch

* Fri Dec 24 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt4
- fixed bug 5723

* Fri Dec  3 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt3
- removed service, moved libdevmapper to /lib

* Tue Nov 23 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt2.1
- rebuilt after D.Levin cleanup

* Mon Nov 22 2004 Dmitry V. Levin <ldv@altlinux.org> 1.00.19-alt2.1
- Specfile cleanup.
- Moved development library to -devel subpackage.

* Fri Nov 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt2
- header file moved into single package

* Fri Nov 19 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.19-alt1
- release

* Thu May  6 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.17-alt1
- new version

* Mon Mar  1 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.07-alt2
- start script added

* Tue Feb  3 2004 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.07-alt1
- new version

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt3
- Fixed spec bug

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt2
- Added dm_ctrl_install.sh specially for altlinux

* Wed Sep 17 2003 Pavel S. Mironchik <tibor@altlinux.ru> 1.00.05-alt1
- Initial build for ALTLinux
